package com.tmerclub.cloud.systemtest.api.supplier;

import com.tmerclub.cloud.order.dto.multishop.OrderRefundDTO;
import com.moyuer.cloud.systemtest.constants.Constant;
import com.moyuer.cloud.systemtest.util.HttpUtil;
import com.moyuer.cloud.systemtest.util.UrlEnum;

/**
 * @author Tu
 */
public class SupplierRefundApi {
    public static void processRefundOrder(OrderRefundDTO orderRefundParam){
        String url = Constant.API_URL+"/mall4cloud_order/s/order_refund/return_and_refund_audit";
        HttpUtil.put(url,orderRefundParam, UrlEnum.SUPPLIER);
    }

    /**
     * 拒绝退货退款
     * */
    public static void returnMoneyRefundOrder(OrderRefundDTO orderRefundParam){
        String url = Constant.API_URL+"/mall4cloud_order/s/order_refund/return_money";
        HttpUtil.put(url,orderRefundParam, UrlEnum.SUPPLIER);
    }
}
