/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.feign;

import com.tmerclub.cloud.api.multishop.feign.ShopWithdrawCashFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.multishop.service.ShopWithdrawCashService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author track
 */
@DubboService
public class ShopWithdrawCashFeignController implements ShopWithdrawCashFeignClient {

    @Autowired
    private ShopWithdrawCashService shopWithdrawCashService;

    @Override
    public ServerResponseEntity<Void> withdrawBack(String bizOrderNo, String payStatus, String bizUserId, String payFailMessage) {
        shopWithdrawCashService.withdrawBack(bizOrderNo, payStatus, bizUserId, payFailMessage);
        return ServerResponseEntity.success();
    }
}
