/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 热搜
 *
 * @author YXF
 * @date 2021-01-27 09:10:00
 */
public class HotSearch extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long hotSearchId;

    /**
     * 店铺ID 0为全局热搜
     */
    private Long shopId;

    /**
     * 内容
     */
    private String content;

    /**
     * 顺序
     */
    private Integer seq;

    /**
     * 状态 0下线 1上线
     */
    private Integer status;

    /**
     * 热搜标题
     */
    private String title;

    /**
     * 1:商品热搜  2:店铺热搜
     */
    private Integer type;

    public Long getHotSearchId() {
        return hotSearchId;
    }

    public void setHotSearchId(Long hotSearchId) {
        this.hotSearchId = hotSearchId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "HotSearch{" +
                "hotSearchId=" + hotSearchId +
                ", shopId=" + shopId +
                ", content='" + content + '\'' +
                ", seq=" + seq +
                ", status=" + status +
                ", title='" + title + '\'' +
                ", type='" + type +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
