/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.service;

import com.tmerclub.cloud.multishop.model.ShopExtension;
import com.tmerclub.cloud.multishop.vo.ShopExtensionVO;

/**
 * 店铺扩张信息
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
public interface ShopExtensionService {

    /**
     * 保存店铺扩张信息
     * @param shopExtension 店铺扩张信息
     */
    void save(ShopExtension shopExtension);

    /**
     * 更新店铺扩张信息
     * @param shopExtension 店铺扩张信息
     */
    void update(ShopExtensionVO shopExtension);
}
