/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.auth.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author 菠萝凤梨
 * @date 2022/1/20 15:11
 */
public interface PasswordFeignClient {

    /**
     * 获取解密后的密码
     * @param password 加密的密码
     * @return 解密之后的密码
     */
    ServerResponseEntity<String> getDecryptPassword(String password);
}
