/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.discount.vo;

import com.tmerclub.cloud.common.order.vo.ChooseDiscountItemVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.Map;

/**
 * 某个店铺的满江活动的活动信息
 * @author FrozenWatermelon
 */
public class DiscountSumVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 以优惠活动id为key， 优惠活动金额 为value的map
     * {优惠活动id：优惠活动金额}
     */
    private Map<Long, DiscountSumItemVO> discountIdDiscountSumItemMap;

    /**
     * 所有优惠活动加起来的金额
     */
    private Long totalReduceAmount;

    private ChooseDiscountItemVO chooseDiscountItem;

    public Map<Long, DiscountSumItemVO> getDiscountIdDiscountSumItemMap() {
        return discountIdDiscountSumItemMap;
    }

    public void setDiscountIdDiscountSumItemMap(Map<Long, DiscountSumItemVO> discountIdDiscountSumItemMap) {
        this.discountIdDiscountSumItemMap = discountIdDiscountSumItemMap;
    }

    public Long getTotalReduceAmount() {
        return totalReduceAmount;
    }

    public void setTotalReduceAmount(Long totalReduceAmount) {
        this.totalReduceAmount = totalReduceAmount;
    }


    @Override
    public String toString() {
        return "DiscountSumVO{" +
                "discountIdDiscountSumItemMap=" + discountIdDiscountSumItemMap +
                ", totalReduceAmount=" + totalReduceAmount +
                ", chooseDiscountItem=" + chooseDiscountItem +
                '}';
    }
}
