/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.constant;

/**
 * 分类等级
 * @author yxf
 * @date 2020/11/20
 */
public enum CategoryLevel {

    /**
     * 第一级
     */
    First(0),

    /**
     * 第二级
     */
    SECOND(1),

    /**
     * 第三级
     */
    THIRD(2);

    private final Integer value;

    public Integer value() {
        return value;
    }

    CategoryLevel(Integer value) {
        this.value = value;
    }

}
