/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/12 9:08
 */
public interface BrandShopFeignClient {

    /**
     * 根据店铺id批量保存品牌签约信息
     * @param brandShopDTOList
     * @param shopId
     * @param sysType
     * @return
     */
    ServerResponseEntity<Void> insertBatchByShopId(List<BrandShopDTO> brandShopDTOList, Long shopId, Integer sysType);
}
