/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.user.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * uid和用户id，注册的时候用
 * @author FrozenWatermelon
 */
public class UidAndUserIdBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long uid;

    private Long userId;

    public UidAndUserIdBO(Long uid, Long userId) {
        this.uid = uid;
        this.userId = userId;
    }

    public UidAndUserIdBO() {
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "UidAndUserIdBO{" +
                "uid=" + uid +
                ", userId=" + userId +
                '}';
    }
}
