/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.biz.service;

import com.tmerclub.cloud.biz.model.NotifyTemplateShop;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;

/**
 *
 *
 * @author FrozenWatermelon
 * @date 2021-01-16 15:01:14
 */
public interface NotifyTemplateShopService {

    /**
     * 分页获取列表
     * @param pageDTO 分页参数
     * @return 列表分页数据
     */
    PageVO<NotifyTemplateShop> page(PageDTO pageDTO);

    /**
     * 根据id获取
     *
     * @param notifyShopId id
     * @return
     */
    NotifyTemplateShop getByNotifyShopId(Long notifyShopId);

    /**
     * 保存
     * @param notifyTemplateShop
     */
    void save(NotifyTemplateShop notifyTemplateShop);

    /**
     * 更新
     * @param notifyTemplateShop
     */
    void update(NotifyTemplateShop notifyTemplateShop);

    /**
     * 根据id删除
     * @param notifyShopId id
     */
    void deleteById(Long notifyShopId);
}
