/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author Chiley
 * @date 2022/7/15 17:30
 */
public interface SupplierCacheNames {
    /**
     * 前缀
     */
    String SUPPLIER_PREFIX = "mall4cloud_supplier:";

    /**
     * 供应商店铺详情缓存key
     */
    String SUPPLIER_DETAIL_ID_KEY = SUPPLIER_PREFIX + "shop_detail:getById:";

    /**
     * 开通通联支付的状态
     */
    String ALLINPAY_CONFIG_KEY = SUPPLIER_PREFIX + "allinpay_config:";

    /**
     * 供应商通知缓存key
     */
    String SUPPLIER_NOTICES_KEY = SUPPLIER_PREFIX + "notices:";

    /**
     * 供应商退货地址列表缓存key
     */
    String SUPPLIER_REFUND_ADDR = SUPPLIER_PREFIX + "shop_refund_addr:list:";


    String SUPPLIER_SIMPLE_INFO_KEY = SUPPLIER_PREFIX + "simple_info:";


    String SUPPLIER_HOT_SEARCH_LIST_KEY = SUPPLIER_PREFIX + "hot_search_list:";

}
