/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.constant;

/**
 * @author xxw
 * @date 2022/7/19 9:34
 * 供应商商品更新后代销商品是否已同步更新
 */
public enum IsSynUpdate {
    /**
     * 已更新
     */
    YEW_CHANGE(1),

    /**
     * 未更新
     */
    NO_CHANGE(-1);

    public final Integer value;

    public Integer value() {
        return value;
    }

    IsSynUpdate(Integer value) {
        this.value = value;
    }
}
