/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.constant;

/**
 * @author xxw
 * @date 2022/7/18 9:08
 * 代销设置智能设价的加价类型
 */
public enum SalesPriceType {
    /**
     * 比例加价
     */
    PROPORTION_PRICE(0),

    /**
     * 固定数值加价
     */
    FIXED_NUMBER_PRICE(1);

    private final Integer value;

    public Integer value() {
        return value;
    }

    SalesPriceType(Integer value) {
        this.value = value;
    }
}
