package com.tmerclub.cloud.common.product.constant;/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

/**
 * @author xxw
 * 购物车商品活动类型
 * @date 2022/8/25 11:37
 */
public enum ShopCartSpuActivityType {
    /**
     * 无
     */
    NO(0),

    /**
     * 满减
     */
    DISCOUNT(1),

    /**
     * 套餐
     */
    COMBO(2);

    private final Integer value;

    public Integer value() {
        return value;
    }

    ShopCartSpuActivityType(Integer value) {
        this.value = value;
    }
}
