/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.vo.search;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/11/17
 */
public class SearchItemVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "品牌列表信息")
    private List<BrandSearchVO> brands;

    public List<BrandSearchVO> getBrands() {
        return brands;
    }

    public void setBrands(List<BrandSearchVO> brands) {
        this.brands = brands;
    }

    @Override
    public String toString() {
        return "SearchItemVO{" +
                "brands=" + brands +
                '}';
    }
}
