/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.group.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 团购订单号
     */
    String MALL4CLOUD_GROUP_ORDER = "mall4cloud-group-order";

    /**
     * 团购队伍id
     */
    String MALL4CLOUD_GROUP_TEAM = "mall4cloud-group-team";

    /**
     * 订单id
     */
    String MALL4CLOUD_ORDER = GlobalDistributedIdKey.MALL4CLOUD_ORDER.value();

    /**
     * 订单退款id
     */
    String MALL4CLOUD_REFUND = GlobalDistributedIdKey.MALL4CLOUD_REFUND.value();
}
