/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.combo.feign;

import com.tmerclub.cloud.api.combo.feign.ComboSpuSkuFeignClient;
import com.tmerclub.cloud.api.combo.vo.ComboSkuVo;
import com.tmerclub.cloud.combo.service.ComboSpuSkuService;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Set;

/**
 * @author xxw
 * @date 2022/8/22 17:57
 */
@DubboService
public class ComboSpuSkuFeignController implements ComboSpuSkuFeignClient {
    @Autowired
    private ComboSpuSkuService comboSpuSkuService;

    @Override
    public ServerResponseEntity<List<ComboSkuVo>> comboVoListComboAndSkuList(Set<Long> comboIdList, List<Long> skuIdList) {
        return ServerResponseEntity.success(comboSpuSkuService.comboVoListComboAndSkuList(comboIdList, skuIdList));
    }
}
