/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.discount.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 满减满折优惠项DTO
 *
 * @author FrozenWatermelon
 * @date 2020-12-10 13:43:39
 */
public class DiscountItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "满减满折优惠项id")
    private Long discountItemId;

    @Schema(description = "满减满折优惠id")
    private Long discountId;

    @Schema(description = "所需需要金额")
    private Long needAmount;

    @Schema(description = "优惠（元/折）")
    private Long discount;

    public Long getDiscountItemId() {
        return discountItemId;
    }

    public void setDiscountItemId(Long discountItemId) {
        this.discountItemId = discountItemId;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public Long getNeedAmount() {
        return needAmount;
    }

    public void setNeedAmount(Long needAmount) {
        this.needAmount = needAmount;
    }

    public Long getDiscount() {
        return discount;
    }

    public void setDiscount(Long discount) {
        this.discount = discount;
    }

    @Override
    public String toString() {
        return "DiscountItemDTO{" +
                "discountItemId=" + discountItemId +
                ",discountId=" + discountId +
                ",needAmount=" + needAmount +
                ",discount=" + discount +
                '}';
    }
}
