/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.discount.service.impl;

import com.tmerclub.cloud.discount.mapper.DiscountSpuMapper;
import com.tmerclub.cloud.discount.service.DiscountSpuService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 满减满折商品关联表
 *
 * @author FrozenWatermelon
 * @date 2020-12-10 13:43:38
 */
@Service
public class DiscountSpuServiceImpl implements DiscountSpuService {
    @Autowired
    private DiscountSpuMapper discountSpuMapper;


    @Override
    public List<Long> listSpuIdByDiscountId(Long discountId) {
        return discountSpuMapper.listSpuIdByDiscountId(discountId);
    }
}
