/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.constant;

/**
 * @Author lth
 * @Date 2021/8/10 10:34
 * ("上级奖励设置(0 关闭 1开启)")
 */
public enum ParentAwardSet {
    /**
     * 关闭
     */
    CLOSE(0),
    /**
     * 开启
     */
    OPEN(1);

    private final Integer num;

    public Integer value() {
        return num;
    }

    ParentAwardSet(Integer num) {
        this.num = num;
    }

    public static ParentAwardSet instance(Integer value) {
        ParentAwardSet[] enums = values();
        for (ParentAwardSet statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
