/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 充值金额id
 *
 * @author FrozenWatermelon
 */
public class RechargePayInfoDTO extends BasePayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "用户余额充值记录id")
    private Long balanceLogId;

    @Schema(description = "商家余额充值记录id")
    private Long shopWalletLogId;

    public Long getBalanceLogId() {
        return balanceLogId;
    }

    public void setBalanceLogId(Long balanceLogId) {
        this.balanceLogId = balanceLogId;
    }

    public Long getShopWalletLogId() {
        return shopWalletLogId;
    }

    public void setShopWalletLogId(Long shopWalletLogId) {
        this.shopWalletLogId = shopWalletLogId;
    }

    @Override
    public String toString() {
        return "RechargePayInfoDTO{" +
                "balanceLogId=" + balanceLogId +
                ", shopWalletLogId=" + shopWalletLogId +
                '}';
    }
}
