/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.search.listener;


import com.tmerclub.cloud.common.exception.LuckException;
import com.tmerclub.cloud.search.canal.model.CanalBinLogEvent;
import com.tmerclub.cloud.search.canal.support.processor.BaseCanalBinlogEventProcessor;
import com.tmerclub.cloud.search.canal.support.processor.ExceptionHandler;

/**
 * @author FrozenWatermelon
 * @date 2021/4/7
 */
public class BaseCanalBinlogEventThrowExceptionProcessor<T> extends BaseCanalBinlogEventProcessor<T> {

    @Override
    protected ExceptionHandler exceptionHandler() {
        return (CanalBinLogEvent event, Throwable throwable) -> {
            throw new LuckException("创建索引异常", throwable);
        };
    }
}
