/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.seckill.config;

import com.tmerclub.cloud.common.cache.adapter.CacheTtlAdapter;
import com.tmerclub.cloud.common.cache.bo.CacheNameWithTtlBO;
import com.tmerclub.cloud.common.cache.constant.SeckillCacheNames;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/12/18
 */
@Component
public class SeckillCacheTtlAdapter implements CacheTtlAdapter {

    @Override
    public List<CacheNameWithTtlBO> listCacheNameWithTtl() {
        List<CacheNameWithTtlBO> cacheNameWithTtls = new ArrayList<>(4);
        // 秒杀库存信息缓存10秒
        cacheNameWithTtls.add(new CacheNameWithTtlBO(SeckillCacheNames.SECKILL_SKU_BY_SECKILL_ID, 10));
        cacheNameWithTtls.add(new CacheNameWithTtlBO(SeckillCacheNames.SECKILL_SKU_BY_ID, 10));
        cacheNameWithTtls.add(new CacheNameWithTtlBO(SeckillCacheNames.SECKILL_BY_SECKILL_ID, 10));
        cacheNameWithTtls.add(new CacheNameWithTtlBO(SeckillCacheNames.SECKILL_BY_SPU_ID, 10));
        return cacheNameWithTtls;
    }
}
