/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户会员购买
 *
 * @author FrozenWatermelon
 */
public class UserLevelRechargeOrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "会员等级id")
    private Long userLevelId;

    @Schema(description = "期数id（月/季/年对应的付费金额id）")
    private Long levelTermId;

    public Long getUserLevelId() {
        return userLevelId;
    }

    public void setUserLevelId(Long userLevelId) {
        this.userLevelId = userLevelId;
    }

    public Long getLevelTermId() {
        return levelTermId;
    }

    public void setLevelTermId(Long levelTermId) {
        this.levelTermId = levelTermId;
    }

    @Override
    public String toString() {
        return "UserLevelRechargeOrderDTO{" +
                "userLevelId=" + userLevelId +
                ", levelTermId=" + levelTermId +
                '}';
    }
}
