/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:52
 */
public class ShopCompanyAuditing extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;

    /**
     * 申请人id
     */
    private Long userId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 工商信息id
     */
    private Long shopCompanyId;
    /**
     * 审核人id
     */
    private Long auditorId;

    /**
     * 0 未审核 1已通过 -1未通过
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    public Long getCompanyAuditingId() {
        return companyAuditingId;
    }

    public void setCompanyAuditingId(Long companyAuditingId) {
        this.companyAuditingId = companyAuditingId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getShopCompanyId() {
        return shopCompanyId;
    }

    public void setShopCompanyId(Long shopCompanyId) {
        this.shopCompanyId = shopCompanyId;
    }

    public Long getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(Long auditorId) {
        this.auditorId = auditorId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "ShopCompanyAuditing{" +
                "companyAuditingId=" + companyAuditingId +
                ", userId='" + userId + '\'' +
                ", shopId=" + shopId +
                ", shopCompanyId=" + shopCompanyId +
                ", auditorId=" + auditorId +
                ", status=" + status +
                ", remarks='" + remarks + '\'' +
                '}';
    }
}
