/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author FrozenWatermelon
 * @date 2020/9/2
 */
public class ShopUserSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺名称
     */
    @Schema(description = "店铺名称")
    private String shopName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    private Integer isAdmin;

    @Schema(description = "店铺是否已经入驻 0: 未入驻，1：已入驻")
    private Integer isPassShop;

    private Long tenantId;

    private Long userId;

    /**
     * 用户名称
     */
    @Schema(description = "用户名称")
    private String userName;


    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Integer isAdmin) {
        this.isAdmin = isAdmin;
    }

    public Integer getIsPassShop() {
        return isPassShop;
    }

    public void setIsPassShop(Integer isShop) {
        this.isPassShop = isShop;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "ShopUserSimpleVO{" +
                "shopName='" + shopName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", isAdmin=" + isAdmin +
                ", isPassShop=" + isPassShop +
                ", tenantId=" + tenantId +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                '}';
    }
}
