
/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.platform.dto;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 积分配置信息
 * @author lhd
 */
public class ScoreConfigDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long id;

    /**
     * 参数名
     */
    private String paramKey;
    /**
     * 参数值
     */
    private String paramValue;

    /**
     * 签到获取积分
     */
    private String signInScoreString;

    /**
     * 签到获取积分
     */
    private List<Integer> signInScore;

    /**
     * 注册获取积分
     */
    private Long registerScore;

    /**
     * 购物开关
     */
    private Boolean shoppingScoreSwitch;

    /**
     * 购物获取积分(x元获取1积分)
     */
    private Long shoppingGetScore;

    /**
     * 购物使用积分抵现比例(x积分抵扣1元）
     */
    private Long shoppingUseScoreRatio;

    /**
     * 购物积分分类获取比例上限
     */
    private Double getRatioLimit;

    /**
     * 平台使用积分分类比例上限
     */
    private Double useRatioLimit;

    public Double getUseRatioLimit() {
        return useRatioLimit;
    }

    public void setUseRatioLimit(Double useRatioLimit) {
        this.useRatioLimit = useRatioLimit;
    }

    public Double getGetRatioLimit() {
        return getRatioLimit;
    }

    public void setGetRatioLimit(Double getRatioLimit) {
        this.getRatioLimit = getRatioLimit;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getParamKey() {
        return paramKey;
    }

    public void setParamKey(String paramKey) {
        this.paramKey = paramKey;
    }

    public String getParamValue() {
        return paramValue;
    }

    public void setParamValue(String paramValue) {
        this.paramValue = paramValue;
    }

    public String getSignInScoreString() {
        return signInScoreString;
    }

    public void setSignInScoreString(String signInScoreString) {
        this.signInScoreString = signInScoreString;
    }

    public List<Integer> getSignInScore() {
        return signInScore;
    }

    public void setSignInScore(List<Integer> signInScore) {
        this.signInScore = signInScore;
    }

    public Long getRegisterScore() {
        return registerScore;
    }

    public void setRegisterScore(Long registerScore) {
        this.registerScore = registerScore;
    }

    public Boolean getShoppingScoreSwitch() {
        return shoppingScoreSwitch;
    }

    public void setShoppingScoreSwitch(Boolean shoppingScoreSwitch) {
        this.shoppingScoreSwitch = shoppingScoreSwitch;
    }

    public Long getShoppingGetScore() {
        return shoppingGetScore;
    }

    public void setShoppingGetScore(Long shoppingGetScore) {
        this.shoppingGetScore = shoppingGetScore;
    }

    public Long getShoppingUseScoreRatio() {
        return shoppingUseScoreRatio;
    }

    public void setShoppingUseScoreRatio(Long shoppingUseScoreRatio) {
        this.shoppingUseScoreRatio = shoppingUseScoreRatio;
    }

    @Override
    public String toString() {
        return "ScoreConfigVO{" +
                "id=" + id +
                ", paramKey='" + paramKey + '\'' +
                ", paramValue='" + paramValue + '\'' +
                ", signInScoreString='" + signInScoreString + '\'' +
                ", signInScore=" + signInScore +
                ", registerScore=" + registerScore +
                ", shoppingScoreSwitch=" + shoppingScoreSwitch +
                ", shoppingGetScore=" + shoppingGetScore +
                ", shoppingUseScoreRatio=" + shoppingUseScoreRatio +
                ", useRatioLimit=" + useRatioLimit +
                ", getRatioLimit=" + getRatioLimit +
                '}';
    }
}
