
/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.platform.vo;

import java.io.Serial;
import java.io.Serializable;

/**
 * 成长配置信息
 * @author lhd
 */
public class GrowthConfigVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 成长值获取开关
     */
    private Boolean shopGrowthSwitch;

    private Double buyPrice;

    private Double buyOrder;

    private Double recharge;

    public Boolean getShopGrowthSwitch() {
        return shopGrowthSwitch;
    }

    public void setShopGrowthSwitch(Boolean shopGrowthSwitch) {
        this.shopGrowthSwitch = shopGrowthSwitch;
    }

    public Double getBuyPrice() {
        return buyPrice;
    }

    public void setBuyPrice(Double buyPrice) {
        this.buyPrice = buyPrice;
    }

    public Double getBuyOrder() {
        return buyOrder;
    }

    public void setBuyOrder(Double buyOrder) {
        this.buyOrder = buyOrder;
    }

    public Double getRecharge() {
        return recharge;
    }

    public void setRecharge(Double recharge) {
        this.recharge = recharge;
    }

    @Override
    public String toString() {
        return "GrowthConfigVO{" +
                "shopGrowthSwitch=" + shopGrowthSwitch +
                ", buyPrice=" + buyPrice +
                ", buyOrder=" + buyOrder +
                ", recharge=" + recharge +
                '}';
    }
}
