/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.supplier.constant;

/**
 * 商家提现申请信息状态
 *
 * @author lth
 */

public enum SupplierWithdrawCashStatus {

    /**
     * 未通过
     */
    FAILAUDIT(-1),

    /**
     * 未审核
     */
    WAITAUDIT(0),
    /**
     * 已通过
     */
    SUCCESSAUDIT(1),

    /**
     * 发放成功
     */
    SUCCESS(2),

    /**
     * 发放失败
     */
    FAIL(3);

    private final Integer num;

    public Integer value() {
        return num;
    }

    SupplierWithdrawCashStatus(Integer num) {
        this.num = num;
    }

    public static SupplierWithdrawCashStatus instance(Integer value) {
        SupplierWithdrawCashStatus[] enums = values();
        for (SupplierWithdrawCashStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
