/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.supplier.service.impl;

import com.tmerclub.cloud.supplier.mapper.SupplierExtensionMapper;
import com.tmerclub.cloud.supplier.model.SupplierExtension;
import com.tmerclub.cloud.supplier.service.SupplierExtensionService;
import com.tmerclub.cloud.supplier.vo.SupplierExtensionVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 供应商扩张信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Service
public class SupplierExtensionServiceImpl implements SupplierExtensionService {

    @Autowired
    private SupplierExtensionMapper supplierExtensionMapper;

    @Override
    public void save(SupplierExtension supplierExtension) {
        supplierExtensionMapper.save(supplierExtension);
    }

    @Override
    public void update(SupplierExtensionVO supplierExtension) {
        supplierExtensionMapper.update(supplierExtension);
    }

}
