/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.supplier.feign;

import com.tmerclub.cloud.api.supplier.vo.SupplierBankCardVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author track
 */
public interface SupplierBankCardFeignClient {

    /**
     * 保存银行卡至数据库
     *
     * @param tenantId
     * @param supplierBankCardVO
     */
    void saveBandCardByAllinpay(String tenantId, SupplierBankCardVO supplierBankCardVO);

    /**
     * 解绑法人卡
     * @param supplierBankCardId
     * @return
     */
    ServerResponseEntity<Void> deleteLegalBankCard(Long supplierBankCardId);
}
