/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.auth.constant;

/**
 * 登录方式
 * @author FrozenWatermelon
 * @date 2021/01/19
 */
public enum LoginType {

    /**
     * 账号密码
     */
    PASSWORD(1),

    /**
     * 验证码
     */
    CODE(2),

    /**
     * 小程序一键登录
     */
    ONE_CLICK_LOGIN(3);

    private final Integer value;

    public Integer value() {
        return value;
    }

    LoginType(Integer value) {
        this.value = value;
    }

}
