package com.tmerclub.cloud.api.live.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author TRACK
 */
public interface LiveFeignClient {

    /**
     * 把下架商品从直播间删除
     * @param spuId
     * @return
     */
    ServerResponseEntity<Void> deleteLiveRoomProd(Long spuId);

    /**
     * 把下架店铺的直播间结束
     * @param shopIds
     * @return
     */
    ServerResponseEntity<Void> endLiveRoom(List<Long> shopIds);
}
