/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author cl
 * @date 2021-05-22 14:28:43
 */
public class OrderPayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id列表")
    private List<Long> orderIds;

    @Schema(description = "用户id")
    private Long userId;

    public List<Long> getOrderIds() {
        return orderIds;
    }

    public void setOrderIds(List<Long> orderIds) {
        this.orderIds = orderIds;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public OrderPayInfoDTO() {
    }

    public OrderPayInfoDTO(List<Long> orderIds, Long userId) {
        this.orderIds = orderIds;
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "OrderPayInfoDTO{" +
                "orderIds=" + orderIds +
                ", userId=" + userId +
                '}';
    }
}
