/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/11/12
 */
public interface SkuComboFeignClient {

    /**
     * 通过skuId获取组合的商品信息
     * @param skuId skuIds
     * @return sku信息
     */
    ServerResponseEntity<List<ShopCartItemVO>> getCombSpusBySkuId(Long skuId);
}
