/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.product.feign;

import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/11/12
 */
public interface SpuBrowseLogFeignClient {

    /**
     * 通过spuId需要搜索的商品
     * @param userId userId
     * @param shopId 店铺id
     * @return 浏览商品信息
     */
    ServerResponseEntity<List<Long>> recentBrowse(Long userId, Long shopId);

}
