/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.feign;


import com.tmerclub.cloud.common.order.bo.EsOrderBO;
import com.tmerclub.cloud.common.order.dto.OrderSearchDTO;

import java.util.List;


/**
 * 订单搜索
 *
 * @author FrozenWatermelon
 * @date 2021/02/05
 */
public interface EsOrderFeignClient {
    /**
     * 分页获取订单信息
     *
     * @param orderId
     * @return
     */
    void updateOrder(Long orderId);


    /**
     * 获取待发货订单
     * @param orderSearchDTO
     * @return
     */
    List<EsOrderBO> getUndeliveryOrder(OrderSearchDTO orderSearchDTO);


}
