/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.api.user.dto.UserScoreLockDTO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author FrozenWatermelon
 * @date 2020/12/22
 */
public interface UserScoreLockFeignClient {

    /**
     * 锁定积分
     * @param userScoreLocks 参数
     * @return 是否成功
     */
    ServerResponseEntity<Void> lock(List<UserScoreLockDTO> userScoreLocks);

}
