/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.biz.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author YXF
 * @date 2020-12-04 16:15:02
 */
public class AttachFileGroupDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long attachFileGroupId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "分组名称")
    private String name;

    @Schema(description = "1:图片 2:视频 3:文件")
    private Integer type;

    public Long getAttachFileGroupId() {
        return attachFileGroupId;
    }

    public void setAttachFileGroupId(Long attachFileGroupId) {
        this.attachFileGroupId = attachFileGroupId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "AttachFileGroupDTO{" +
                "attachFileGroupId=" + attachFileGroupId +
                ",shopId=" + shopId +
                ",name=" + name +
                ",type=" + type +
                '}';
    }
}
