/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.biz.service.impl;

import com.tmerclub.cloud.biz.mapper.NotifyTemplateShopMapper;
import com.tmerclub.cloud.biz.model.NotifyTemplateShop;
import com.tmerclub.cloud.biz.service.NotifyTemplateShopService;
import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 *
 * @author FrozenWatermelon
 * @date 2021-01-16 15:01:14
 */
@Service
public class NotifyTemplateShopServiceImpl implements NotifyTemplateShopService {

    @Autowired
    private NotifyTemplateShopMapper notifyTemplateShopMapper;

    @Override
    public PageVO<NotifyTemplateShop> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> notifyTemplateShopMapper.list());
    }

    @Override
    public NotifyTemplateShop getByNotifyShopId(Long notifyShopId) {
        return notifyTemplateShopMapper.getByNotifyShopId(notifyShopId);
    }

    @Override
    public void save(NotifyTemplateShop notifyTemplateShop) {
        notifyTemplateShopMapper.save(notifyTemplateShop);
    }

    @Override
    public void update(NotifyTemplateShop notifyTemplateShop) {
        notifyTemplateShopMapper.update(notifyTemplateShop);
    }

    @Override
    public void deleteById(Long notifyShopId) {
        notifyTemplateShopMapper.deleteById(notifyShopId);
    }
}
