/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * 缓存名字
 *
 * @author FrozenWatermelon
 * @date 2020/7/9
 */
public interface CacheNames extends RbacCacheNames, OauthCacheNames, ProductCacheNames, MultishopCacheNames, SupplierCacheNames, CouponCacheNames, PlatformCacheNames,
        BizCacheNames, DeliveryCacheNames, FlowCacheNames, DiscountCacheNames, UserCacheNames, ComboCacheNames, PaymentCacheNames, LiveCacheNames {
    /**
     * 参考CacheKeyPrefix
     * cacheNames 与 key 之间的默认连接字符
     */
    String UNION = "::";

    /**
     * key内部的连接字符（自定义）
     */
    String UNION_KEY = ":";
}
