/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface LockCacheNames {

    /**
     * 前缀
     */
    String LOCK_PREFIX = "mall4cloud_lock:";

    /**
     * 确认订单信息缓存
     */
    String LOCK_ORDER_PREFIX = LOCK_PREFIX + "order:";

    /**
     * 进行秒杀库存分片锁定的信息，seckillSkuId
     */
    String LOCK_SECKILL_ZONE_PERFIX = LOCK_PREFIX + "seckill_zone:";

    /**
     * 进行优惠券库存分片锁定的信息，couponId
     */
    String LOCK_COUPON_ZONE_PERFIX = LOCK_PREFIX + "coupon_zone:";
    /**
     * 订单支付成功/取消后的分布式锁，userId
     */
    String LOCK_SECKILL_ORDER_PAY_SUCCESS_PERFIX = LOCK_PREFIX + "seckill_order_pay_success:";
    /**
     * 团购订单开团成功/取消后的分布式锁，userId
     */
    String LOCK_GROUP_ORDER_SUCCESS_PERFIX = LOCK_PREFIX + "group_order_success:";

    /**
     * 退款超时|发放退款分布式锁，refundId
     */
    String LOCK_REFUND_HANDLE_PREFIX = LOCK_PREFIX + "refund_handle:";

}
