/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.cache.constant;

/**
 * @author FrozenWatermelon
 * @date 2020/11/23
 */
public interface UserCacheNames {

    /**
     *
     * 参考CacheKeyPrefix
     * UserCacheNames 与 key 之间的默认连接字符
     */
    String UNION = "::";

    /**
     * 前缀
     */
    String USER_PREFIX = "mall4cloud_user:";

    /**
     * 用户默认地址缓存key
     */
    String USER_INFO = USER_PREFIX + "info:";

    /**
     * 用户默认地址缓存key
     */
    String USER_DEFAULT_ADDR = USER_PREFIX + "user_addr:user_id:";

    /**
     * 用户默认地址缓存key
     */
    String USER_DEFAULT_CONSIGNEE = USER_PREFIX + "user_consignee:user_id:";

    /**
     * 用户余额表
     */
    String USER_RECHARGE_LIST = USER_PREFIX + "user_recharge:list:";
    /**
     * 用户余额表
     */
    String USER_RECHARGE_INFO = USER_PREFIX + "user_recharge:info:";

    /**
     * 会员等级列表缓存key
     */
    String LEVEL_LIST_KEY = USER_PREFIX + "level_list:";

    /**
     * 单个会员等级缓存key
     */
    String LEVEL_GET_KEY = USER_PREFIX + "level_get:";

    /**
     * 会员等级缓存key
     */
    String LEVEL_GET_LIST_KEY = USER_PREFIX + "level_get_list:";

    /**
     * 单个权益缓存
     */
    String RIGHT_BY_RIGHTS_ID_KEY = USER_PREFIX + "right_by_rights_id:";

    /**
     * 去重后的权益列表缓存
     */
    String RIGHTS_BY_LEVEL_TYPE = USER_PREFIX + "righs_by_level_type:";

    /**
     * 店铺会员的统计更新时间
     */
    String SHOP_CUSTOMER_UPDATE_TIME = USER_PREFIX + "shop_customer_update_time:";

    /**
     * 弹窗广告缓存
     */
    String POPUP_KEY = USER_PREFIX + "popup:";

    /**
     * 是否为店铺会员
     */
    String SHOP_CUSTOMER_KEY = USER_PREFIX + "shop_customer:";
}
