/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.constant;

/**
 * @Author lth
 * @Date 2021/5/12 11:19
 */
public enum IsPassShopEnum {
    /**
     * 管理员
     */
    YES(1),
    /**
     * 用户
     */
    NO(0),
    ;

    private final Integer value;

    public Integer value() {
        return value;
    }

    public Integer getValue() {
        return value;
    }


    IsPassShopEnum(Integer value) {
        this.value = value;
    }

    public static IsPassShopEnum instance(Integer value) {
        IsPassShopEnum[] enums = values();
        for (IsPassShopEnum statusEnum : enums) {
            if (statusEnum.getValue().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
