package com.tmerclub.cloud.common.product.constant;/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

/**
 * @author xxw
 * @date 2022/7/6 15:11
 * 代销商品状态
 */
public enum CommissionSpuStatus {

    /**
     * 上架
     */
    PUT_SHELF(1),

    /**
     * 部分上架
     */
    PART_PUT_SHELF(2),

    /**
     * 下架
     */
    OFF_SHELF(3),

    /**
     * 部分下架
     */
    PART_OFF_SHELF(4);

    private final Integer value;

    CommissionSpuStatus(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }
}
