/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.product.vo.app;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品规格属性关联信息VO
 *
 * @author FrozenWatermelon
 * @date 2021-03-03 09:00:00
 */
public class SpuAttrValueAppVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "规格属性名称")
    private String attrName;

    @Schema(description = "规格属性值名称")
    private String attrValueName;

    @Schema(description = "规格属性描述")
    private String attrDesc;

    public String getAttrName() {
        return attrName;
    }

    public void setAttrName(String attrName) {
        this.attrName = attrName;
    }

    public String getAttrValueName() {
        return attrValueName;
    }

    public void setAttrValueName(String attrValueName) {
        this.attrValueName = attrValueName;
    }

    public String getAttrDesc() {
        return attrDesc;
    }

    public void setAttrDesc(String attrDesc) {
        this.attrDesc = attrDesc;
    }

    @Override
    public String toString() {
        return "SpuAttrValueAppVO{" +
                "attrName='" + attrName + '\'' +
                ", attrValueName='" + attrValueName + '\'' +
                ", attrDesc='" + attrDesc + '\'' +
                '}';
    }
}
