/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.common.security.bo;

import com.tmerclub.cloud.api.auth.bo.UidInfoBO;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用于校验的用户信息
 *
 * @author FrozenWatermelon
 * @date 2020/7/3
 */
public class AuthAccountInVerifyBO extends UidInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private String password;

    private Integer status;

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "AuthAccountInVerifyBO{" +
                "password='" + password + '\'' +
                ", status=" + status +
                "} " + super.toString();
    }


}
