/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.group.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 拼团活动商品规格
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
public class GroupSku extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团活动商品规格id
     */
    private Long groupSkuId;

    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 商品规格id
     */
    private Long skuId;

    /**
     * 活动价格
     */
    private Long actPrice;

    /**
     * 已售数量
     */
    private Long sellNum;

    public Long getGroupSkuId() {
        return groupSkuId;
    }

    public void setGroupSkuId(Long groupSkuId) {
        this.groupSkuId = groupSkuId;
    }

    public Long getGroupActivityId() {
        return groupActivityId;
    }

    public void setGroupActivityId(Long groupActivityId) {
        this.groupActivityId = groupActivityId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getActPrice() {
        return actPrice;
    }

    public void setActPrice(Long actPrice) {
        this.actPrice = actPrice;
    }

    public Long getSellNum() {
        return sellNum;
    }

    public void setSellNum(Long sellNum) {
        this.sellNum = sellNum;
    }

    @Override
    public String toString() {
        return "GroupSku{" +
                "groupSkuId=" + groupSkuId +
                ",groupActivityId=" + groupActivityId +
                ",skuId=" + skuId +
                ",actPrice=" + actPrice +
                ",sellNum=" + sellNum +
                '}';
    }
}
