/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.distribution.feign;

import com.tmerclub.cloud.api.distribution.feign.DistributionUserIncomeFeignClient;
import com.tmerclub.cloud.api.distribution.vo.DistributionUserIncomeApiVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.distribution.service.DistributionUserIncomeService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author cl
 * @date 2021-08-05 15:38:50
 */
@DubboService
public class DistributionUserIncomeFeignController implements DistributionUserIncomeFeignClient {

    @Autowired
    private DistributionUserIncomeService distributionUserIncomeService;


    @Override
    public ServerResponseEntity<List<DistributionUserIncomeApiVO>> listDistributionUserIncomeByOrderId(Long orderId) {
        return ServerResponseEntity.success(distributionUserIncomeService.listDistributionUserIncomeByOrderId(orderId));
    }
}
