/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.delivery.service.impl;

import com.tmerclub.cloud.delivery.mapper.DeliveryOrderItemMapper;
import com.tmerclub.cloud.delivery.model.DeliveryOrderItem;
import com.tmerclub.cloud.delivery.service.DeliveryOrderItemService;
import com.tmerclub.cloud.delivery.vo.DeliveryOrderItemVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 物流订单项信息
 *
 * @author FrozenWatermelon
 * @date 2020-12-07 15:10:00
 */
@Service
public class DeliveryOrderItemServiceImpl implements DeliveryOrderItemService {

    @Autowired
    private DeliveryOrderItemMapper deliveryOrderItemMapper;

    @Override
    public DeliveryOrderItemVO getById(Long id) {
        return deliveryOrderItemMapper.getById(id);
    }

    @Override
    public void save(DeliveryOrderItem deliveryOrderItem) {
        deliveryOrderItemMapper.save(deliveryOrderItem);
    }

    @Override
    public void update(DeliveryOrderItem deliveryOrderItem) {
        deliveryOrderItemMapper.update(deliveryOrderItem);
    }

    @Override
    public void deleteById(Long id) {
        deliveryOrderItemMapper.deleteById(id);
    }
}
