/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.order.mapper;

import com.tmerclub.cloud.order.model.PurchaseOrderLang;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 采购订单-国际化
 *
 * @author lhd
 * @date 2022-07-12 13:57:20
 */
public interface PurchaseOrderLangMapper {


    /**
     * 保存采购订单-国际化
     * @param purchaseOrderLangList 采购订单-国际化
     */
    void saveBatch(@Param("purchaseOrderLangList") List<PurchaseOrderLang> purchaseOrderLangList);
}
