/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.payment.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 支付单号
     */
    String MALL4CLOUD_PAY = "mall4cloud-pay";

    /**
     * 更新企业信息的商户唯一流水号
     */
    String MALL4CLOUD_ALLINPAY_UPDATE_COMPANY_SN = "mall4cloud-alllinpay-update-company-sn";

    /**
     * 通联提现单号
     */
    String MALL4CLOUD_WITHDRAW_CASH = "mall4cloud-withdraw-cash";

    /**
     * 通联文件上传单号
     */
    String MALL4CLOUD_FILE_UPLOAD = "mall4cloud-file-upload";

    /**
     * 订单退款id
     */
    String MALL4CLOUD_REFUND = GlobalDistributedIdKey.MALL4CLOUD_REFUND.value();
}
