/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author FrozenWatermelon
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 商品id
     */
    String MALL4CLOUD_SPU = "mall4cloud-spu";

    /**
     * sku编码
     */
    String MALL4CLOUD_PRODUCT_SKU_CODE = "mall4cloud-product-sku-code";

    /**
     * 商品评论
     */
    String MALL4CLOUD_PRODUCT_COMM = "mall4cloud-product-comm";

    /**
     * 商品浏览记录id
     */
    String MALL4CLOUD_SPU_BROWSE_LOG = "mall4cloud-spu-browse-log";

    /**
     * 出库单号
     */
    String MALL4CLOUD_PRODUCT_STOCK_OUT = GlobalDistributedIdKey.MALL4CLOUD_PRODUCT_STOCK_OUT.value();

    /**
     * 入库单号
     */
    String MALL4CLOUD_PRODUCT_STOCK_IN = GlobalDistributedIdKey.MALL4CLOUD_PRODUCT_STOCK_IN.value();

    /**
     * 出入库日志id
     */
    String MALL4CLOUD_STOCK_BILL_LOG = GlobalDistributedIdKey.MALL4CLOUD_STOCK_BILL_LOG.value();

    /**
     * 仓库库存点id
     */
    String MALL4CLOUD_STOCK_POINT = GlobalDistributedIdKey.MALL4CLOUD_STOCK_POINT.value();
}
