/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.constant;

/**
 * 搜索类型
 *
 * @author track
 */
public enum ProdKeyType {

    /**
     * 商品名称
     */
    SPU_NAME(1),
    /**
     * 商品编码
     */
    PARTY_CODE(2);

    private final Integer num;

    public Integer value() {
        return num;
    }

    ProdKeyType(Integer num) {
        this.num = num;
    }

    public static ProdKeyType instance(Integer value) {
        ProdKeyType[] enums = values();
        for (ProdKeyType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
