/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * DTO
 *
 * @author FrozenWatermelon
 * @date 2022-08-17 09:12:37
 */
public class SkuStockZoneDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "分片id")
    private Long zoneId;

    @Schema(description = "SKU ID")
    private Long skuId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "分片序号")
    private Integer zoneNo;

    @Schema(description = "库存")
    private Integer stock;

    public Long getZoneId() {
        return zoneId;
    }

    public void setZoneId(Long zoneId) {
        this.zoneId = zoneId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getZoneNo() {
        return zoneNo;
    }

    public void setZoneNo(Integer zoneNo) {
        this.zoneNo = zoneNo;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    @Override
    public String toString() {
        return "SkuStockZoneDTO{" +
                "zoneId=" + zoneId +
                ", skuId=" + skuId +
                ", spuId=" + spuId +
                ", zoneNo=" + zoneNo +
                ", stock=" + stock +
                '}';
    }
}
