/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.product.service;

import com.tmerclub.cloud.common.product.vo.AttrVO;
import com.tmerclub.cloud.product.dto.AttrDTO;
import com.tmerclub.cloud.product.dto.AttrValueDTO;

import java.util.List;

/**
 * 属性值信息
 *
 * @author FrozenWatermelon
 * @date 2020-10-28 15:27:24
 */
public interface AttrValueService {
    /**
     * 根据属性值信息和属性id，保存属性值信息
     * @param attrValueList
     * @param attrId
     */
    void save(List<AttrValueDTO> attrValueList, Long attrId);

    /**
     * 根据属性值信息和属性id，更新属性值信息
     * @param attrDTO
     * @param dbAttr
     */
    void update(AttrDTO attrDTO, AttrVO dbAttr);

    /**
     * 根据属性id， 删除属性值信息
     * @param attrId
     */
    void deleteByAttrId(Long attrId);
}
