/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */
package com.tmerclub.cloud.user.constant;

/**
 * 会员等级折扣商品类型
 *
 * @author yxf
 * @date 2020/11/20
 */
public enum DiscountTypeEnum {

    /**
     * 全部商品
     */
    ALL_SPU(0),

    /**
     * 分类下的商品
     */
    CATEGORY_SPU(1);

    private final Integer value;

    public Integer value() {
        return value;
    }

    DiscountTypeEnum(Integer value) {
        this.value = value;
    }

}
